#pragma once

#include <QWidget>

#include <QGraphicsPathItem>
#include <QString>

namespace Ui
{
    class Widget;
}

class Widget: public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget* p_parent = 0);
    ~Widget();

private:
    void BuildScene();
    void GetCollidings();

private:
    Ui::Widget* m_ui;

    QGraphicsPathItem* m_aroundItem;
    QList<QGraphicsPathItem*> m_otherItems;
    QMap<QGraphicsPathItem*, QString> m_pathItemNames;
};

